Bug 41078 - merge results in name change of test plan
merge results in name change of test plan
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.2
PC other
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-11-29 08:53 UTC by Anne Frid de Vries
Modified: 2007-05-04 02:11 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anne Frid de Vries 2006-11-29 08:53:05 UTC
the element Test Plan is selected
merge with another test plan
the name of the Test Plan changes into that of the one that has been merged with
One has two test plans merged with the same name
must open to identify which is which
especially confusing when one merges with other versions of the same test plan
that has a slight change of name
Comment 1 Sebb 2006-11-29 09:50:32 UTC
Works OK for me.

Does it always fail for you, or only certain test plans?
Comment 2 Anne Frid de Vries 2006-11-29 22:13:25 UTC
(In reply to comment #1)
> Works OK for me.
> 
> Does it always fail for you, or only certain test plans?

I have checked it again. This always fails for me, but it happens ONLY when upon
the point of choosing merge, the Thread Group is selected.
So... If you have a test plan under a Thread Group with the name A and the item
of the Thread Group is selected (albeit collapsed or not) and you merge with
another Test Plan, for which the Thread Group has the name B, you (or at least
I) will end up with a test plan that contains two thread groups with the same
name, B.
(I realize now that I worded the bug insufficiently as I intended 'thread group'
where I wrote 'test plan' -- I am so sorry)

Comment 3 Sebb 2006-11-30 07:18:21 UTC
So it's the Thread Group NAME that is changed.

Yes, this does happen for me as well. This seems to be the same problem as bug 
30120.

I don't know how easy it is going to be to fix - it could be a while, sorry.
Comment 4 Sebb 2007-05-04 02:11:59 UTC
Fixed in SVN in r535134 - see bug 30120